# imports 
import sys
import os

from System.Diagnostics import Process
from System.Net import WebClient

# This is a cforge command (script file)
# this will open the CODESYS PackageManager to list all installed packages


# cforge_usage: 
# here you can return an array of all possible arguments and options that can 
# be passed to this command script
def cforge_usage():
    help = [ 
	    ["", "no parameters required"]
    ]

    return help



if len(sys.argv) > 1:
    print("Oh, there are arguments... didnt expect them")
    

# common paths
workingdir = os.path.dirname(sys.argv[0])
cdsdir = os.path.abspath(os.path.join(workingdir, os.path.pardir, os.path.pardir))
print(cdsdir)

# profile stuff
profiledir=os.path.join(cdsdir,"Profiles")
print(profiledir)
lastprofile=""
for file in os.listdir(profiledir):
    if file.endswith(".profile"):
        lastprofile = file.replace(".profile","")
print(lastprofile)

# exe
codesys_exe = os.path.join(cdsdir, "Common", "CODESYS.exe")
packageman_exe = os.path.join(cdsdir, "Common", "PackageManager.exe")
workdir = os.path.join(cdsdir, "Common")

#Process.Start(localname)
p = Process()
p.StartInfo.WorkingDirectory=workdir
p.StartInfo.FileName = packageman_exe
p.StartInfo.Arguments = "--profile='" + lastprofile + "'"
p.Start()
p.WaitForExit() 


		
