import sys, os
import cds_script


# This is a cforge command (script file)
# this will be run as ironpython script.
# the filename of this script is automatically the corresponding cforge command 
# with some magic functions you can easily integrate it nicely into cforge tool

# cforge_usage: 
# here you can return an array of all possible arguments and options that can 
# be passed to this command script
def cforge_usage():
    help = [ 
	    ["<path to CODESYS project>", "---"]
    ]

    return help



if len(sys.argv) <= 1:
    print("Oh, there are no arguments. Perhaps you forgot something?")
    sys.exit()

# do the xml export
workingdir = os.path.dirname(sys.argv[0])
scriptname = os.path.join(workingdir, "action.plcopenxml.export.py")
scriptargs = sys.argv[1]
#cds_script.RunCodesysWithScript(scriptname, scriptargs)


# do the commit
print("commit")
tsvn_workdir="C:\\Program Files\\TortoiseSVN\\bin\\"

if os.path.exists(tsvn_workdir):
	
	filename = scriptargs
	
	e = cds_script.RunProcess(tsvn_workdir,"SubWCRev.exe", filename)	
	if e == 10: # is not a working copy:
		cds_script.RunProcess(tsvn_workdir,"TortoiseProc.exe", '/command:import "/path:' + filename + '"')
	else:
		cds_script.RunProcess(tsvn_workdir,"TortoiseProc.exe", '/command:commit "/path:' + filename + '"')
	
	
	
else:
	print("TortoiseSVN not installed.")